package bankingSystem;

import java.util.Hashtable;


public class Bank
{
    private Hashtable<Integer, Account> itsAccounts = new Hashtable<Integer, Account>();
    
    public  void    addAccount( int id, Account acc ) throws BankError
    {
        Integer iid = new Integer( id );
        
        boolean found = itsAccounts.containsKey( iid );
        
        if( found )
            throw new BankError( "Account with ID: " + id + " already exists");
        else
            itsAccounts.put( iid, acc );
    }
    
    public  Account getAccount( int id ) throws BankError
    {
        Account result = null;
        
        Integer iid = new Integer( id );
        
        result = itsAccounts.get( iid );
        
        if( result == null )
            throw new BankError( "Account with ID: " + id + " does not exists");

        return result;
    }
}
